## org.eclipse.emf.compare.diff.metamodel
Enum DifferenceKind

    java.lang.Object
      java.lang.Enum<DifferenceKind>
          org.eclipse.emf.compare.diff.metamodel.DifferenceKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DifferenceKind>, org.eclipse.emf.common.util.Enumerator

    public enum DifferenceKind

extends java.lang.Enum<DifferenceKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Difference Kind', and utility methods for working with them. These flags will be used to describe the kind of a DiffElement.

See Also:
  `DiffPackage.getDifferenceKind()`

Enum Constant Summary
`ADDITION` The 'Addition' literal object
`CHANGE` The 'Change' literal object
`DELETION` The 'Deletion' literal object
`MOVE` The 'Move' literal object

Field Summary
`static int` `ADDITION_VALUE` The 'Addition' literal value
`static int` `CHANGE_VALUE` The 'Change' literal value
`static int` `DELETION_VALUE` The 'Deletion' literal value
`static int` `MOVE_VALUE` The 'Move' literal value
`static java.util.List<DifferenceKind>` `VALUES` A public read-only list of all the 'Difference Kind' enumerators.

Method Summary
`static DifferenceKind` `get(int value)` Returns the 'Difference Kind' literal with the specified integer value.
`static DifferenceKind` `get(java.lang.String literal)` Returns the 'Difference Kind' literal with the specified literal value.
`static DifferenceKind` `getByName(java.lang.String name)` Returns the 'Difference Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static DifferenceKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DifferenceKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADDITION

    public static final DifferenceKind ADDITION

  The 'Addition' literal object.

  See Also:
    `ADDITION_VALUE`

### DELETION

    public static final DifferenceKind DELETION

  The 'Deletion' literal object.

  See Also:
    `DELETION_VALUE`

### CHANGE

    public static final DifferenceKind CHANGE

  The 'Change' literal object.

  See Also:
    `CHANGE_VALUE`

### MOVE

    public static final DifferenceKind MOVE

  The 'Move' literal object.

  See Also:
    `MOVE_VALUE`

Field Detail

### ADDITION_VALUE

    public static final int ADDITION_VALUE

  The 'Addition' literal value.

  If the meaning of 'Addition' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ADDITION`, Constant Field Values

### DELETION_VALUE

    public static final int DELETION_VALUE

  The 'Deletion' literal value.

  If the meaning of 'Deletion' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DELETION`, Constant Field Values

### CHANGE_VALUE

    public static final int CHANGE_VALUE

  The 'Change' literal value.

  If the meaning of 'Change' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHANGE`, Constant Field Values

### MOVE_VALUE

    public static final int MOVE_VALUE

  The 'Move' literal value.

  If the meaning of 'Move' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MOVE`, Constant Field Values

### VALUES

    public static final java.util.List<DifferenceKind> VALUES

  A public read-only list of all the 'Difference Kind' enumerators.

Method Detail

### values

    public static final DifferenceKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DifferenceKind c : DifferenceKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DifferenceKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static DifferenceKind get(java.lang.String literal)

  Returns the 'Difference Kind' literal with the specified literal value.

### getByName

    public static DifferenceKind getByName(java.lang.String name)

  Returns the 'Difference Kind' literal with the specified name.

### get

    public static DifferenceKind get(int value)

  Returns the 'Difference Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<DifferenceKind>`

Copyright 2006 IBM Corporation and others. All Rights Reserved.